Bug 649750 - Request ability to delete from JON any resources that may not be on the filesystem any longer
Request ability to delete from JON any resources that may not be on the files...
Status: CLOSED WONTFIX
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
3.0.0
All All
low Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-04 09:43 EDT by dsteigne
Modified: 2014-06-30 15:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-30 15:40:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description dsteigne 2010-11-04 09:43:31 EDT
Description of problem:
In order to delete a DataSource from JON the *ds.xml file still needs to be on the filesystem.  The ability to remove this w/o it being there should be added to the product.

Version-Release number of selected component (if applicable):

2.4

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 2 Charles Crouch 2010-11-16 17:29:18 EST
Is this related to uninventorying services?
Comment 3 dsteigne 2014-06-09 07:53:31 EDT
This was logged specifically for datasources, but Shaun's comment implies that his customer wants it applicable for all resources, including services.
Comment 4 Jay Shaughnessy 2014-06-30 15:40:16 EDT
Closing due to inactivity.  Because delete is implemented in the plugin code for each applicable component, it's not a blanket request.  Each relevant resource type would need a specific BZ opened.

Note You need to log in before you can comment on or make changes to this bug.